org.apache.hc.core5.concurrent

## Class CompletedFuture<T>

- java.lang.Object
- - org.apache.hc.core5.concurrent.CompletedFuture<T>

- Type Parameters:
    `T` - the future result type of an asynchronous operation.
  All Implemented Interfaces:
    Future<T>, Cancellable

      @Contract(threading=IMMUTABLE)
      public class CompletedFuture<T>
      extends Object
      implements Future<T>, Cancellable

  Immutable, completed future.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompletedFuture(T result)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()` Cancels the ongoing operation or process.
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `T` | `get()`
    `T` | `get(long timeout, TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedFuture

          public CompletedFuture(T result)

  - ### Method Detail

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<T>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<T>`

    - #### get

          public T get()

      Specified by:
        `get` in interface `Future<T>`

    - #### get

          public T get(long timeout,
                       TimeUnit unit)

      Specified by:
        `get` in interface `Future<T>`

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<T>`

    - #### cancel

          public boolean cancel()

      Description copied from interface: `Cancellable`
      Cancels the ongoing operation or process.
      Specified by:
        `cancel` in interface `Cancellable`
      Returns:
        `true` if the operation or process has been cancelled as a result of this method call or `false` if it has already been cancelled or not started.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.